> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synapsai.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a stored chat completion



## OpenAPI

````yaml /api-reference/chat.json delete /v1/chat/completions/{completion_id}
openapi: 3.1.0
info:
  title: SynapsAI Chat API
  version: 1.0.0
servers:
  - url: https://api.synapsai.cloud
    description: Production server
security: []
paths:
  /v1/chat/completions/{completion_id}:
    delete:
      summary: Delete a stored chat completion
      operationId: deleteChatCompletion
      parameters:
        - name: completion_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Deletion confirmation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletedObject'
        '404':
          description: No stored chat completion with this id
components:
  schemas:
    DeletedObject:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          description: >-
            For example `response.deleted`, `chat.completion.deleted`,
            `vector_store.deleted`, or `vector_store.file.deleted`.
        deleted:
          type: boolean
      required:
        - id
        - object
        - deleted

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.